mycolors;
ia=2;ib=3;

fsize=14;
lw=2;
col_SIRage_macro=blue;
lsy='-.';
lso=':';


horz=150;
time=0:1:horz-1;

figure;
subplot(ia,ib,2)
plot(time,100*Sy(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
plot(time,100*So(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
plot(time,100*(Sy(1:horz)+So(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);
set(gca,'GridLineStyle','--')
grid on
% axis tight
box off;
title('Susceptibles, S','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,3)
plot(time,100*Ry(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
plot(time,100*Ro(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
plot(time,100*(Ry(1:horz)+Ro(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on

box off;
title('Recovered, R','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);
set(gca,'GridLineStyle','--')
grid on
% axis tight

subplot(ia,ib,4)
plot(time,100*Dy(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
plot(time,100*Do(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
plot(time,100*(Dy(1:horz)+Do(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight

box off;
title('Deaths, D','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,5)
plot(time,0*100*(aggC(1:horz)-(aggC_ss))/(aggC_ss),':m','LineWidth',1.5); hold on
plot(time,100*(aggC(1:horz)-(aggC_ss))/(aggC_ss),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',lw); hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight

% plot(time,100*(aggCperturb1(1:horz)-crperturb1)/crperturb1,'k--','LineWidth',2);hold on
% plot(time,100*(aggCperturb2(1:horz)-crperturb2)/crperturb2,'r-.','LineWidth',2);hold off
box off;
title('Aggregate Consumption, C','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,6)
plot(time,0*100*(aggC(1:horz)-(cry_ss*fy+cro_ss*fo))/(cry_ss*fy+cro_ss*fo),':m','LineWidth',1.5); hold on,
hH_macro=plot(time,100*(aggH(1:horz)-aggH_ss)/(aggH_ss),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',lw); hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight

% plot(time,100*(aggHperturb1(1:horz)-nrperturb1)/nrperturb1,'k--','LineWidth',2);hold on
% plot(time,100*(aggHperturb2(1:horz)-nrperturb2)/nrperturb2,'r-.','LineWidth',2);hold off
box off;
title('Aggregate Hours, H','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,1)
hy=plot(time,100*Iy(1:horz),'color', col_SIRage_macro, 'linestyle', lsy, 'LineWidth',lw);hold on
ho=plot(time,100*Io(1:horz),'color', col_SIRage_macro, 'linestyle', lso, 'LineWidth',lw);hold on
ht=plot(time,100*(Iy(1:horz)+Io(1:horz)),'color', col_SIRage_macro, 'linestyle', '-', 'LineWidth',1);hold on
set(gca,'GridLineStyle','--')
grid on
% axis tight


% plot(time,100*Iperturb1(1:horz),'k--','LineWidth',2);hold on
% plot(time,100*Iperturb2(1:horz),'r-.','LineWidth',2);hold off
box off;
title('Infected, I','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);
legend([hy ho ht], {'young', 'old', 'total'}, 'location', 'NorthEast', 'box', 'off', 'FontSize',11);


% leg1=legend([hH_macro hH hH_SIRmacro_ERT hH_SIR_ERT], {'Baseline SIR-age macro Model','SIR-age Model', 'ERT: SIR macro', 'ERT: SIR'}, 'box', 'off');
% leg1=legend([hH_macro ], {'Baseline SIR-age macro Model'}, 'box', 'off');
% 
% set(leg1,...
%     'Position',[-0.0704335567178815 0.95 1.19107142857143 0.044047619047619],...
% 'Orientation','horizontal');
% legend boxoff;

